package com.zcloud.primeport.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.primeport.persistence.dataobject.MkmjGateDO;
import java.util.Map;

public interface MkmjGateRepository extends BaseRepository<MkmjGateDO> {
    PageResponse<MkmjGateDO> listPage(Map<String, Object> params);

    Integer countByMkmjId(Long mkmjId);

    Integer countByPassageId(String passageId);

    Boolean checkName(String gateName, Long passageId, Long id);
}

